summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Dufresne <nicolas.dufresne@collabora.co.uk>2015-12-07 09:08:05 -0500
committerNicolas Dufresne <nicolas.dufresne@collabora.co.uk>2015-12-07 09:08:05 -0500
commit8b49a3f845c445ed6a9d91661714f29987a92ec5 (patch)
tree746d17147db391038243750a0225da08b1bec282
parent1da5a3ab66ab73b44a15d7e76a171522965054e3 (diff)
Automatic update of common submodule
From b319909 to 86e4663
-rwxr-xr-xautogen.sh6
m---------common0
2 files changed, 5 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 430ff0d1a..7e6e216c9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -37,7 +37,11 @@ fi
if test ! \( -x .git/hooks/pre-commit -a -L .git/hooks/pre-commit \);
then
rm -f .git/hooks/pre-commit
- ln -s ../../common/hooks/pre-commit.hook .git/hooks/pre-commit
+ if ! ln -s ../../common/hooks/pre-commit.hook .git/hooks/pre-commit 2> /dev/null
+ then
+ echo "Failed to create commit hook symlink, copying instead ..."
+ cp common/hooks/pre-commit.hook .git/hooks/pre-commit
+ fi
fi
# GNU gettext automake support doesn't get along with git.
diff --git a/common b/common
-Subproject b3199090fa16a545d585a54deaa61b687ac369e
+Subproject 86e46630ed8af8d94796859db550a9c3d89c9f6